﻿#language: ru

Функционал: Отчет Баланс жира и белка. Для ПАЦ

Сценарий: Отчет Баланс жира и белка. Для ПАЦ
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Баланс жира и белка"
	Тогда открылось окно 'Баланс жира и белка'
	И Я в отчете устанавливаю период "11.03.2019" "13.03.2019"
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Баланс жира и белка"'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Баланс жира и белка"'
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И я перехожу к закладке "Поля и сортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'    |
		| 'Номенклатура' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Баланс жира и белка"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Баланс жира и белка'
	И я снимаю флаг 'Период:'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Отбор:'        | 'Рабочий центр Равно "ПАЦ"' | ''             | ''                | ''              | ''                 |
		| ''              | ''                          | ''             | ''                | ''              | ''                 |
		| 'Рабочий центр' | 'Вес'                       | 'Жир'          | ''                | 'Белок'         | ''                 |
		| 'Сценарий'      | 'Количество'                | 'Процент жира' | 'Количество жира' | 'Процент белка' | 'Количество белка' |
		| 'Номенклатура'  | ''                          | ''             | ''                | ''              | ''                 |
		| 'Сценарий'      | ''                          | ''             | ''                | ''              | ''                 |
		| 'ПАЦ'           | '-19 412,80'                | '-1 251,36'    | '-507,68'         | '-1 020,96'     | '-427,58'          |
		| 'Сырье'         | '1 230,00'                  | '3,30'         | '40,57'           | '3,40'          | '41,88'            |
		| 'Молоко'        | '1 230,00'                  | '3,30'         | '40,57'           | '3,40'          | '41,88'            |
		| 'Выпуск'        | '20 642,80'                 | '2,66'         | '548,25'          | '2,27'          | '469,46'           |
		| 'Сливки'        | '25,00'                     | '28,00'        | '7,00'            | '22,00'         | '5,50'             |
		| 'Смесь 45%'     | '10 364,80'                 | '2,65'         | '274,67'          | '2,30'          | '238,39'           |
		| 'Смесь 50%'     | '10 253,00'                 | '2,60'         | '266,58'          | '2,20'          | '225,57'           |
		| 'Потери'        | '-19 412,80'                | '-1 251,36'    | '-507,68'         | '-1 020,96'     | '-427,58'          |
	И Я закрываю окно 'Баланс жира и белка'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И Я закрываю окно 'Отчеты по производству'